<!DOCTYPE html>
<html>
<head>
<title>Ukázka použití knihovny NotORM</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style>
body{ font-family: Verdana; font-size: 12px; }
table{ border-collapse: collapse; border: 3px solid #333; }
table th{ font-weight: bold; background: #ccc; }
table th, table td{ border: 1px solid #333; padding: 3px 15px; }
table tr:nth-child(even){ background: #efefef; }
</style>
</head>

<body>

<h2>Seznam zákazníků</h2>

<table>
<tr>
<th>Jméno</th>
<th>Ulice</th>
<th>Město</th>
<th>PSČ</th>
<th>E-mail</th>
</tr>
<?php
include "NotORM.php";
$pdo = new PDO("mysql:host=127.0.0.1;dbname=adresar;charset=UTF-8;port=33066","drupaluser","",array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
$db = new NotORM($pdo);
foreach ($db->zakaznici() as $zakaznik) {
    print "<tr>";
    print "<td>$zakaznik[jmeno]</td>";
    print "<td>$zakaznik[ulice]</td>";
    print "<td>$zakaznik[mesto]</td>";
    print "<td>$zakaznik[psc]</td>";
    print "<td>$zakaznik[email]</td>";                             
    print "</tr>";    
}
?>
</table>

<h2>Seznam max. 10 zákazníků s mailem na localhostu řazený abecedně dle města</h2>

<table>
<tr>
<th>Jméno</th>
<th>Ulice</th>
<th>Město</th>
<th>PSČ</th>
<th>E-mail</th>
</tr>
<?php
// už máme připojeno, jen pro pořádek a názornost:
// include "NotORM.php";
$pdo = new PDO("mysql:host=127.0.0.1;dbname=adresar;charset=UTF-8;port=33066","drupaluser","",array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
$db = new NotORM($pdo);
$zakaznici = $db->zakaznici()
    ->select("id, jmeno, ulice, mesto, psc, email")
    ->where("email LIKE ?","%localhost%")
    ->order("mesto")
    ->limit(10)
;
foreach ($zakaznici as $id => $zakaznik) {
    print "<tr>";
    print "<td>$zakaznik[jmeno]</td>";
    print "<td>$zakaznik[ulice]</td>";
    print "<td>$zakaznik[mesto]</td>";
    print "<td>$zakaznik[psc]</td>";
    print "<td>$zakaznik[email]</td>";                             
    print "</tr>";    
}
?>
</table>

</body>

</html>